Bug 805888 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the directory test.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses ...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-22 07:15 EDT by Filip Skola
Modified: 2016-05-05 00:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-106.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-11 22:38:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Filip Skola 2012-03-22 07:15:36 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.x86_64
reason:         SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the directory test.
time:           Čt 22. březen 2012, 12:14:35 CET

:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'write' accesses on the directory test.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that totem-video-thumbnailer should be allowed write access on the test directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                test [ dir ]
:Source                        totem-video-thu
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Neznámé>
:Host                          (removed)
:Source RPM Packages           totem-3.3.90-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-104.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.x86_64 #1
:                              SMP Mon Mar 19 03:03:39 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Čt 22. březen 2012, 12:42:41 CET
:Last Seen                     Čt 22. březen 2012, 12:13:58 CET
:Local ID                      947da3f2-a14a-422e-bd11-a22d0ce0d154
:Raw Audit Messages
:type=AVC msg=audit(1332414838.321:300): avc:  denied  { write } for  pid=1856 comm="totem-video-thu" name="test" dev="dm-2" ino=26476545 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir
:type=SYSCALL msg=audit(1332414838.321:300): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=1a36b40 a1=1ff a2=2 a3=7fff2916aef0 items=0 ppid=1654 pid=1856 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:Hash: totem-video-thu,thumb_t,user_home_dir_t,dir,write
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Miroslav Grepl 2012-03-22 07:42:45 EDT
how did you get this? I mean how did you create "test" dir?
Comment 2 Filip Skola 2012-03-22 07:57:25 EDT
(In reply to comment #1)
> Filip,
> how did you get this? I mean how did you create "test" dir?

I plugged a USB thumb drive, it was automounted.
Then I opened some directory (on it) which contained audio (mp3) files and after hovering over one of them, the avc denial appeared. The user logged in is called test, so the directory is /home/test.
Comment 3 Daniel Walsh 2012-03-22 10:51:11 EDT
Filip can you run in permissive mode and see what file/directory it creates.  It will be labeled user_home_dir_t.
Comment 4 Filip Skola 2012-03-22 11:44:13 EDT
(In reply to comment #3)
> Filip can you run in permissive mode and see what file/directory it creates. 
> It will be labeled user_home_dir_t.

Some files were created in ~/.thumbnails/fail/gnome-thumbnail-factory:
> ./.thumbnails/fail/gnome-thumbnail-factory/dc8de19273cb3057e91a08c4c9832ede.png
> ./.thumbnails/fail/gnome-thumbnail-factory/f8c6610fd5bb84925d072ef1c23af074.png
> ./.thumbnails/fail/gnome-thumbnail-factory/dba52bdd11643ccdfef1db9d68c9dd1b.png

-rw-------. test test unconfined_u:object_r:user_home_t:s0 ./.thumbnails/fail/gnome-thumbnail-factory/dc8de19273cb3057e91a08c4c9832ede.png

dc8de19273cb3057e91a08c4c9832ede.png: PNG image data, 1 x 1, 8-bit/color RGBA, non-interlaced
Comment 5 Daniel Walsh 2012-03-22 14:05:39 EDT
Great thanks.
Comment 6 Daniel Walsh 2012-03-22 14:12:38 EDT
Fixed in selinux-policy-3.10.0-106.fc17
Comment 7 Fedora Update System 2012-03-22 15:27:51 EDT
selinux-policy-3.10.0-106.fc17 has been submitted as an update for Fedora 17.
Comment 8 Fedora Update System 2012-03-25 17:29:51 EDT
Package selinux-policy-3.10.0-106.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-106.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-04-11 22:38:34 EDT
selinux-policy-3.10.0-106.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.